## edu.stanford.nlp.util
Class StreamGobbler

    java.lang.Object
      java.lang.Thread
          edu.stanford.nlp.util.StreamGobbler

All Implemented Interfaces:
  Runnable

    public class StreamGobbler

extends Thread

Reads the output of a process started by Process.exec() Adapted from: http://www.velocityreviews.com/forums/t130884-process-runtimeexec-causes-subprocess-hang.html

Author:
  pado

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`StreamGobbler(InputStream is, Writer outputFileHandle)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamGobbler

    public StreamGobbler(InputStream is,
                         Writer outputFileHandle)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

Stanford NLP Group